
import PointGPS.*;
import java.util.ArrayList ;

public class Trajectoire implements ISvcTrajectoire
{
    // variables d'instance - remplacez l'exemple qui suit par le vôtre
    public ArrayList<ISvcPointGPS> aLstPts;

    /**
     * Constructeur d'objets de classe Trajectoire
     */
    public Trajectoire()
    {
       
       aLstPts = new ArrayList<ISvcPointGPS>(5) ;
    }

    /**
     * Un exemple de méthode - remplacez ce commentaire par le vôtre
     * 
     * @param  y   le paramčtre de la méthode
     * @return     la somme de x et de y 
     */
   public void ajouterPointDeg(double latitude, double longitude)
   {
       ISvcPointGPS pointDegre = new PointDegDec(latitude,longitude);
       aLstPts.add(pointDegre);
   }
   
   public void ajouterPointDeg(int[] latitude, int[] longitude)
   {
       ISvcPointGPS pointDegre = new PointDegSexa(latitude,longitude);
       aLstPts.add(pointDegre);
   }
   
   public void ajouterPointRad(double latitude,double longitude)
   {
       ISvcPointGPS pointRadian = new PointDegRad(latitude,longitude);
       aLstPts.add(pointRadian);
   }
   public void enleverPoint(int index)
   {
       if (index<aLstPts.size())
       {
           this.aLstPts.remove(index);
       }
       else
       {
           System.out.println("pas de points à enlever pour cet index!!");
       }
    }
    
   public String toString()
   {
       String S="";
       for (int i = 0; i < aLstPts.size (); i++)
       {
           S=S+aLstPts.get(i).toString();
       }
       return S;
       
   }
}
